Variants Predictions
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/predictionsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/predictions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"distance_gene_variant": 123,
"element_chr": "<string>",
"element_start": 123,
"element_end": 123,
"element_type": "<string>",
"id": "<string>",
"cell_type": "<string>",
"target_gene": {
"gene_name": "<string>",
"id": "<string>",
"chr": "<string>",
"start": 123,
"end": 123
},
"score": 123,
"model": "<string>",
"dataset": "<string>",
"name": "<string>",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Variants Predictions
Retrieve element gene predictions associated with a given variant.
At least one of these fields is required: variant_id, spdi, hgvs, rsid, ca_id, or files_filesets.
Example: variant_id = NC_000001.11:976214:A:G,
hgvs = NC_000001.11:g.976215A>G,
spdi = NC_000001.11:976214:A:G,
rsid = rs7417106,
ca_id = CA507079,
files_filesets = ENCFF103XRK.
The limit parameter controls the page size and can not exceed 300.
Pagination is 0-based.
Variants Predictions
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/predictionsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/predictions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"distance_gene_variant": 123,
"element_chr": "<string>",
"element_start": 123,
"element_end": 123,
"element_type": "<string>",
"id": "<string>",
"cell_type": "<string>",
"target_gene": {
"gene_name": "<string>",
"id": "<string>",
"chr": "<string>",
"start": 123,
"end": 123
},
"score": 123,
"model": "<string>",
"dataset": "<string>",
"name": "<string>",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Mus musculus, Homo sapiens Available options:
caQTL Response
Successful response
Show child attributes
Show child attributes